package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.GtgsYwUser;
import java.util.List;

/**
 * 工商账号管理Mapper接口
 *
 * @author ruoyi
 * @date 2019-12-14
 */
public interface GtgsYwUserMapper
{
    /**
     * 查询工商账号管理
     *
     * @param id 工商账号管理ID
     * @return 工商账号管理
     */
        GtgsYwUser selectGtgsYwUserById(Long id);

   /**
     * 查询工商账号管理
     *
     * @return 工商账号管理
     */
        GtgsYwUser selectGtgsYwUserByRemark(String remark);

    /**
     * 查询工商账号管理列表
     *
     * @param gtgsYwUser 工商账号管理
     * @return 工商账号管理集合
     */
    List<GtgsYwUser> selectGtgsYwUserList(GtgsYwUser gtgsYwUser);

    /**
     * 新增工商账号管理
     *
     * @param gtgsYwUser 工商账号管理
     * @return 结果
     */
    int insertGtgsYwUser(GtgsYwUser gtgsYwUser);

    /**
     * 修改工商账号管理
     *
     * @param gtgsYwUser 工商账号管理
     * @return 结果
     */
    int updateGtgsYwUser(GtgsYwUser gtgsYwUser);

    /**
     * 删除工商账号管理
     *
     * @param id 工商账号管理ID
     * @return 结果
     */
    int deleteGtgsYwUserById(Long id);

    /**
     * 批量删除工商账号管理
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteGtgsYwUserByIds(String[] ids);
}
